/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.actionbazaar.interfaces.socket;

import com.actionbazaar.domain.Bid;
import java.util.logging.Logger;

/**
 * Represents an event that occurs for a bid such as add, update, delete along
 * with the bid object itself.
 * 
 */
public class BidEvent {

    private static final Logger logger = Logger.getLogger(BidEvent.class.getName());

    private Bid bid = null;
    private String type = null;

    public BidEvent() {
    }

    public BidEvent(Bid bid) {
        this.bid = bid;
    }

    public Bid getBid() {
        return bid;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return type;
    }

    @Override
    public String toString() {
        return String.format("BidEvent [type:%s, bid:%s]",
                getType(),
                getBid().toString());
    }


}
